<template>
    <div class="enterprise-panel">
        <div class="enterprise-function" @click="showWarnDialog()">
            <el-tooltip :popper-class="'map-tooltip'" effect="dark" content="预报警" placement="left">
                <div :class='["iconBtn",warnVisible ? "active-button" : ""]'>
                   <img src="@/assets/images/map-pages/icon/map/warn.png" alt="" class="icon">
                    <!--<span class="icon-name">预报警</span>-->
                </div>
            </el-tooltip>
        </div>
        <div class="enterprise-function" @click="showStatisDialog()">
            <el-tooltip :popper-class="'map-tooltip'" effect="dark" content="指标" placement="bottom">
                <div :class='["iconBtn",companyVisible ? "active-button" : ""]'>
                    <img src="@/assets/images/map-pages/icon/map/company.png" alt="" class="icon">
    <!--                <span class="icon-name">指标</span>-->
                </div>
            </el-tooltip>
        </div>
        <Dialog ref="warnDialog" title="企业预警报警分类统计" >
            <warn></warn>
        </Dialog>
        <Dialog ref="indexStatisticsDialog" title="企业指标分类统计">
            <index-statistics></index-statistics>
        </Dialog>
    </div>
</template>

<script>
import Dialog from '../../views/popup/Dialog'
import Warn from './components/Warn'
import IndexStatistics from './components/IndexStatistics'
export default {
  name: 'Enterprise',
  components: {
    Dialog,
    Warn,
    IndexStatistics
  },
  data () {
    return {
      comp: Warn,
      warnVisible: false,
      companyVisible: false
    }
  },
  methods: {
    // 图标 控制内容的展示与隐藏
    show () {
      this.legendControl = !this.legendControl
    },
    showWarnDialog () {
      this.$refs.warnDialog.show()
      this.warnVisible = true
    },
    showStatisDialog () {
      this.$refs.indexStatisticsDialog.show()
      this.companyVisible = true
    }
  },
  mounted () {
    const that = this
    this.$nextTick(() => {
      this.$refs.warnDialog.$on('closeDialog', () => {
        that.warnVisible = false
      })
      this.$refs.indexStatisticsDialog.$on('closeDialog', () => {
        that.companyVisible = false
      })
    })
  }
}
</script>

<style lang="less" scoped>
.enterprise-panel{
    position: absolute;
    right: 0.14583rem;
    top:0.11979rem;
    z-index: 1000;
    display: flex;
    .enterprise-function:not(:first-child){
        margin-left: 0.05rem;
    }
}
</style>
